  <div class="container">
    <div class="row justify-content-md-center">
      <div class="col col-md-3">
        <div class="text-center">
          <h2>Edit <%= resource_name.to_s.humanize %></h2>
        </div>
        <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
        <%= render "devise/shared/error_messages", resource: resource %>

        <div class="form-group">
          <%= image_tag @user.avatar.url(:medium) %>
          <%= f.file_field :avatar %>
        </div>

        <div class="form-group">
          <%= f.label :first_name %><br />
          <%= f.text_field :first_name, autofocus: true, autocomplete: "first_name", class: "form-control" %>
        </div>

        <div class="form-group">
          <%= f.label :last_name %><br />
          <%= f.text_field :last_name, autocomplete: "last_name", class: "form-control" %>
        </div>

        <div class="form-group">
          <%= f.label :email %><br />
          <%= f.email_field :email, autocomplete: "email", class: "form-control" %>
        </div>

        <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
        <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
        <% end %>

        <div class="form-group">
          <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
          <%= f.password_field :password, autocomplete: "new-password", class: "form-control" %>
          <% if @minimum_password_length %>
          <br />
          <em><%= @minimum_password_length %> characters minimum</em>
          <% end %>
        </div>

        <div class="form-group">
          <%= f.label :password_confirmation %><br />
          <%= f.password_field :password_confirmation, autocomplete: "new-password", class: "form-control" %>
        </div>

        <div class="form-group">
          <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
          <%= f.password_field :current_password, autocomplete: "current-password", class: "form-control" %>
        </div>

        <div class="actions">
          <%= f.submit "Update", class: "btn btn-primary" %>
        </div>
        <% end %>
        <br>
        <h3>Cancel my account</h3>

        <p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "btn btn-danger" %></p>

        <%= link_to "Back", :back %>
      </div>
    </div>
  </div>
  